Index: /main/trunk/greenstone2/macros/telugu.dm
===================================================================
--- /main/trunk/greenstone2/macros/telugu.dm	(revision 21330)
+++ /main/trunk/greenstone2/macros/telugu.dm	(revision 21331)
@@ -7,4 +7,7 @@
 # National Centre for Science Information, 
 # Indian Institute of Science, Bangalore 560 012, Karnataka, India.
+# 
+# Enhanced by Dr. Vijayalakshmi Balakumar and Prof. R.S.R. Varalakshmi in 
+# December 2009.
 #
 ######################################################################
@@ -112,6 +115,8 @@
 _labelAcronym_ [l=te] {à°žà°à°à±à°·à°¿à°ªà±à°€ à°ªà°Šà°®à±à°²à±}  
 
+
+
 # Navigation bar tooltip - to customize this for a specific metadata, add a macro named _textdescrXXX_ where XXX is the metadata name
-_textdescrdefault_ [l=te] {à°à°à°à°¿ à°€à± à°µà±à°Šà°à±}  
+_textdescrdefault_ [l=te] {_1_ à°€à± à°µà±à°Šà°à±}  
 
 _textdescrSearch_ [l=te] {à°µà°¿à°¶à°¿à°·à±à° à°ªà°Šà°¶à±à°§à°š}  
@@ -177,5 +182,5 @@
 
 _linktextHOME_ [l=te] {à°žà±à°µà°žà±à°¥à°²à°®à±}  
-_linktextHELP_ [l=te] {à°žà°¹à°Ÿà°¯à°®à±	}  
+_linktextHELP_ [l=te] {à°žà°¹à°Ÿà°¯à°®à± }  
 _linktextPREFERENCES_ [l=te] {à°ªà±à°°à°Ÿà°§à°Ÿà°šà±à°¯à°€à°²à±}  
 
@@ -237,9 +242,9 @@
 _textabcol_ [l=te] {à° à°µà°¿à°·à°¯ à°žà°®à±à°Šà°Ÿà°¯à°®à± à°à±à°°à°¿à°à°à°¿}  
 
-_textsubcols1_ [l=te] {<p>à°žà±Šà°ªà±à°°à±à°£ à°žà±Šà°à±à°°à°¹à±Š à°à°ªà°žà±Šà°à±à°°à°¹à°²à°€à± à°à±à°žà°Ÿà°°à± :
+_textsubcols1_ [l=te] {<p>à°žà±Šà°ªà±à°°à±à°£ à°žà±Šà°à±à°°à°¹à±Š _1_ à°à°ªà°žà±Šà°à±à°°à°¹à°²à°€à± à°à±à°žà°Ÿà°°à± :
 <blockquote>}  
 
 _textsubcols2_ [l=te] {</blockquote> 
-à°®à±à°°à± à°à°Ÿà°µà°²à±Šà°à± à°à°šà±à°šà°¿à° à°à±à°žà°¿à°š à°ªà±à°à°²à°²à±à°à°šà±à°š à°à°ªà°žà±Šà°à±à°°à°¹à°Ÿà°²à°€à± à°ªà°°à±à°à±à°·à±à±Šà°à°µà°à±à°à±}  
+à°®à±à°°à± à°à°Ÿà°µà°²à±Šà°à± à°à°šà±à°šà°¿à° à°à±à°žà°¿à°š à°ªà±à°à°²à°²à±à°à°šà±à°š à°à°ªà°žà±Šà°à±à°°à°¹à°Ÿà°²à°€à± à°ªà°°à±à°à±à°·à±à±Šà°à°µà°à±à°à±.}  
 
 _titleabout_ [l=te] {à°à±à°°à°¿à°à°à°¿}  
@@ -280,5 +285,5 @@
 _textltwarning_ [l=te] {<div class="buttons">_imagecont_</div>
 _iconwarning_
-}
+}  
 
 _textgoto_ [l=te] {à°ªà±à°à°²à±à°à°¿ à°µà±à°³à±à°³à°à°¡à°¿}  
@@ -349,5 +354,5 @@
 _textfreqmsg1_ [l=te] {à°ªà°Šà°®à±à°²à± à°²à±à°à±à°à°¿à±Šà°à±à°}  
 _textpostprocess_ [l=te] {_If_(_quotedquery_,<br><i>à°®à±à±Šà°Šà±à°à°Ÿ à°à°šà±à°š à°ªà°à±à°°à°¿à°¯à°šà± à°¶à±à°Šà°šà°à± à°€à±à°žà±à°à±à±Šà°¡à°¿
-_quotedquery_ </i>)}
+_quotedquery_ </i>)}  
 _textinvalidquery_ [l=te] {à°µà°¿à°²à±à°µà°²à±à°šà°¿ à°ªà±à°°à°¶à±à°š à°ªà°°à°¿à°à±à°à±à°Šà°®à±}  
 _textstopwordsmsg_ [l=te] {à°µà±à°šà±à°à°µà°à±à°à± à° à°ªà°Šà°®à±à°²à± à°µà°Ÿà°¡à±à°à°²à±à°šà°¿à°µà°¿ à°®à°°à±à°¯à± à°µà°Šà°¿à°²à°¿à°ªà±à°à±à°à°µà°²à°žà°¿à°šà°µà°¿}  
@@ -386,5 +391,5 @@
 
 _textsimplesearch_ [l=te] {à°µà±à°Šà°à±Šà°¡à°¿ _indexselection_ _If_(_jselection_, à°šà±à±Šà°¡à°¿ 
-_jselection_ )_If_(_nselection_, _nselection_ )  à°à±Šà°Šà±à°²à±  _querytypeselection_  à°ªà°Šà°Ÿà°²à± à°à±Šà°à±à¥€}
+_jselection_ )_If_(_nselection_, _nselection_ )  à°à±Šà°Šà±à°²à±  _querytypeselection_  à°ªà°Šà°Ÿà°²à± à°à±Šà°à±à¥€}  
 
 _textadvancedsearch_ [l=te] {à°µà±à°Šà°à±Šà°¡à°¿ _indexselection_ _If_(_jselection_, à°šà±à±Šà°¡à°¿ _jselection_)_If_(_nselection_, _nselection_ à°­à°Ÿà°·) à°à±Šà°Šà±à°²à± _querytypeselection_à°ªà°Šà°Ÿà°²à± à°à±Šà°à± }
@@ -458,5 +463,5 @@
 _textmatchaccents_ [l=te] {à°ªà°Šà°®à±à°²à± à°ªà°²à±à°à±à°€à±à°°à± à°žà°°à°¿à°ªà±à°µà°²à±à°šà±}  
 
-_textprefop_ [l=te] {à°ªà°°à°¿à°£à°Ÿà°®à°Ÿà°² à°ªà°à±à°à°¿à° à°šà±à±Šà°¡à°¿  à°ªà°°à°¿à°£à°Ÿà°®à°Ÿà°² à°ªà±à°°à°€à°¿ à°ªà±à°à±à°šà°¿ à°à±à°ªà±à°à±à°à±Šà°¡à°¿}  
+_textprefop_ [l=te] {_maxdocoption_ à°ªà°°à°¿à°£à°Ÿà°®à°Ÿà°² à°ªà°à±à°à°¿à° à°šà±à±Šà°¡à°¿ _hitsperpageoption_ à°ªà°°à°¿à°£à°Ÿà°®à°Ÿà°² à°ªà±à°°à°€à°¿ à°ªà±à°à±à°šà°¿ à°à±à°ªà±à°à±à°à±Šà°¡à°¿}  
 _textextlink_ [l=te] {à°µà±à°²à±à°ªà°²à°¿ à°µà±à°¬à± à°ªà±à°à°²à°šà± à°à±à°¡à±Šà°¡à°¿}  
 _textintlink_ [l=te] {à°®à±à°² à°ªà°€à±à°°à°®à± à°à°à±à°à°¡à°¿ à°šà±à±Šà°¡à°¿ à°²à°­à°¿à±Šà°à°¿à±Šà°Šà°¿:}  
@@ -488,7 +493,16 @@
 _textsearchhistory_ [l=te] {à°¶à±à°§à°š à°à°°à°¿à°€à±à°°}  
 _textnohistory_ [l=te] {à°¶à±à°§à°šà°Ÿ à°à°°à°¿à°€à±à°° à°²à±à°šà°¿à°Šà°¿}  
-_texthistorydisplay_ [l=te] {à°¶à±à°§à°š à°à°°à°¿à°€à±à°° à°ªà±à°°à°Šà°°à±à°¶à°¿à±Šà°à±Šà°¡à°¿}  
+_texthistorydisplay_ [l=te] {à°¶à±à°§à°š à°à°°à°¿à°€à±à°° _historynumrecords_ à°ªà±à°°à°Šà°°à±à°¶à°¿à±Šà°à±Šà°¡à°¿}  
 _textnohistorydisplay_ [l=te] {à°
 à°šà± à°¶à±à°§à°š à°à°°à°¿à°€à±à°°à°šà± à°à±à°ªà°¿à°à°à°µà°Šà±à°Šà±}  
+
+
+
+
+
+# html options
+
+
+
 
 
@@ -535,13 +549,13 @@
 # The arguments to this will be _textXXX_ and _labelXXX_, where XXX is the metadata name. For example, to print out the help message for a titles classifier, the library will use _textdefaulthelp_(_textTitle_,_labelTitle_)
 # To customize this for a specific metadata, add a macro named _textXXXhelp_ where XXX is the metadata name
-_textdefaulthelp_ [l=te] {à°ªà°€à±à°°à°®à±à°šà± à°µà±à°Šà°à±à°à°à± _1_ à°¬à°à°šà± à°šà°¿ à°à±à°²à°¿à°à± à°à±à°¯à°¡à°}  
-
-_textSearchhelp_ [l=te] {à°®à±à°² à°à±à°°à°à°§à°®à±à°²à±à°šà°¿ à°ªà±à°°à°€à±à°¯à±à° à°ªà°Šà°®à±à°²à°šà± à°µà±à°Šà°à±à°}  
+_textdefaulthelp_ [l=te] {_1_ à°€à± à°ªà°€à±à°°à°®à±à°šà± à°µà±à°Šà°à±à°à°à± _2_ à°¬à°à°šà± à°šà°¿ à°à±à°²à°¿à°à± à°à±à°¯à±à°à°¡à°¿}  
+
+_textSearchhelp_ [l=te] {à°®à±à°² à°à±à°°à°à°§à°®à±à°²à±à°šà°¿ à°ªà±à°°à°€à±à°¯à±à° à°ªà°Šà°®à±à°²à°šà± à°µà±à°Šà°à±à° _labelSearch_ à°¬à°à°šà± à°šà°¿ à°à±à°²à°¿à°à± à°à±à°¯à±à°à°¡à°¿}  
 
 
 _textBrowsehelp_ [l=te] {à°ªà°€à±à°°à°®à±à°²à± à°µà±à°Šà°à°à°¡à°¿}  
-_textAcronymhelp_ [l=te] {à°à°à±à°°à±à°šà°¿à°®à± à°¬à°à°šà± à°šà±à°à±à°à°¿ à°žà°à°à±à°·à°¿à°ªà±à°€ à°ªà°Š à°²à°­à±à°¯à°€à°šà± à°
+_textAcronymhelp_ [l=te] {_labelAcronym_ à°¬à°à°šà± à°šà±à°à±à°à°¿ à°žà°à°à±à°·à°¿à°ªà±à°€ à°ªà°Š à°²à°­à±à°¯à°€à°šà± à°
 à°šà±à°žà°°à°¿à°à°à°¿ à°ªà°€à±à°°à°Ÿà°²à°šà± à°µà±à°Šà°à±Šà°¡à°¿}  
-_textPhrasehelp_ [l=te] {à°ªà°€à±à°°à°Ÿà°²à°²à±à°šà°¿ à°µà°Ÿà°à±à°¯à°Ÿà°²à°šà± "à°²à±à°¬à°¿à°²à± à°«à±à°°à±à°à±" à°¬à°à°šà± à°šà±à°à±à°à°¿ à°¶à±à°§à°¿à°à°à°Ÿà°²à°¿. à°Šà±à°šà°¿à°à°¿ "à°«à±à°à°¡à± à°«à±à°°à±à°à± à°¬à±à°°à±à°à°°à±" à°ªà°šà°¿à°à±à°žà±à°€à±à°à°Šà°¿.}  
+_textPhrasehelp_ [l=te] {à°ªà°€à±à°°à°Ÿà°²à°²à±à°šà°¿ à°µà°Ÿà°à±à°¯à°Ÿà°²à°šà± _labelPhrase_ à°¬à°à°šà± à°šà±à°à±à°à°¿ à°¶à±à°§à°¿à°à°à°Ÿà°²à°¿. à°Šà±à°šà°¿à°à°¿ phind à°«à±à°°à±à°à± à°¬à±à°°à±à°à°°à± à°ªà°šà°¿à°à±à°žà±à°€à±à°à°Šà°¿.}  
 
 _texthelptopicstitle_ [l=te] {à°µà°¿à°·à°¯à°®à±à°²à± }  
@@ -590,9 +604,10 @@
 
 <p> à°®à±à°à± à°ªà°°à°¿à°¶à±à°§à°š à°€à°°à±à°µà°Ÿà°€  à°à°°à±à°µà°Šà°¿ à°žà°°à°¿à°à±à°à°Ÿ à°à°²à±à°žà°¿à°š à°ªà°€à±à°°à°Ÿà°² à°¶à±à°°à±à°·à°à°šà± à°à±à°¡à°µà°à±à°à± à°à°¿à°µà°°à±à°²à± à°à±Šà°à°Ÿ
-à°à°°à°µà°Šà°¿ à°ªà°€à±à°°à°Ÿà°²à± à°µà±à°³à±à°²à°¡à°Ÿà°šà°¿à°à°¿ à°®à°°à°¿à°¯à± à°€à°°à±à°µà°Ÿà°€ à°ªà°€à±à°°à°Ÿà°²à°à± à°µà±à°³à±à°²à°¡à°Ÿà°šà°¿à°à°¿ à°žà°¹à°Ÿà°¯à°ªà°¡à± à°¬à°à°šà± à°Šà±à°°à±à°à±à°€à±à±Šà°Šà°¿.. à°®à±à°°à± à°¶à±à°°à±à°·à°¿à° à°¬à°à°šà± à°à°Ÿà°šà°¿ à°¶à±à°°à±à°·à°¿à°à°à± à°Šà°à±à°à°°à°à°Ÿ à°à°šà±à°šà°¬à°à°šà± à°à°ªà°¯à±à°à°¿à±Šà°à°¿ à° à°ªà°€à±à°°à°Ÿà°²à± à°à±à°¡à°µà°à±à°à±.
-
-<p>à°®à±à°°à± à°
-à°µà°žà°°à°Ÿà°šà±à°šà°¿à°
-à°šà±à°žà°°à°¿à±Šà°à°¿ à°®à°Ÿà°°à±à°à±à°à±à°µà°à±à°à±<p>
+à°à°°à°µà°Šà°¿ à°ªà°€à±à°°à°Ÿà°²à± à°µà±à°³à±à°²à°¡à°Ÿà°šà°¿à°à°¿ à°®à°°à°¿à°¯à± à°€à°°à±à°µà°Ÿà°€ à°ªà°€à±à°°à°Ÿà°²à°à± à°µà±à°³à±à°²à°¡à°Ÿà°šà°¿à°à°¿ à°žà°¹à°Ÿà°¯à°ªà°¡à± à°¬à°à°šà± à°Šà±à°°à±à°à±à°€à±à±Šà°Šà°¿. à°®à±à°°à± à°¶à±à°°à±à°·à°¿à° à°¬à°à°šà± à°à°Ÿà°šà°¿ à°¶à±à°°à±à°·à°¿à°à°à± à°Šà°à±à°à°°à°à°Ÿ à°à°šà±à°šà°¬à°à°šà± à°à°ªà°¯à±à°à°¿à±Šà°à°¿ à° à°ªà°€à±à°°à°Ÿà°²à± à°à±à°¡à°µà°à±à°à±.
+
+<p>A maximum of 50 is imposed on the number of
+  documents returned.  You can change this number by clicking the
+  <i>_Global:linktextPREFERENCES_</i> button at the top of the page.
+<p>
 }  
 
@@ -613,7 +628,16 @@
 }  
 
-_texthelpmgppsearching_ [l=te] {à°à°®à±.à°à°¿.à°ªà°¿.à°ªà°¿ à°žà°®à°Ÿà°à°Ÿà°° à°žà°®à±à°Šà°Ÿà°¯à°Ÿà°šà°¿à°à°¿ à°®à°°à°¿à°à±à°šà±à°šà°¿ à°ªà±à°°à°€à±à°¯à°Ÿà°®à±à°šà°Ÿà°¯à°Ÿà°²à± à°²à°­à±à°¯à°®à°µà±à°€à°Ÿà°¯à°¿}  
-
-_texthelplucenesearching_ [l=te] {"à°²à±à°žà°¿à°šà± à°€à± à°šà°¿à°°à±à°®à°¿à°à°à°¿à°š à°žà°®à°Ÿà°à°Ÿà°° à°žà°®à±à°Šà°Ÿà°¯à°Ÿà°šà°¿à°à°¿ à°®à°°à°¿à°à±à°šà±à°šà°¿ à°ªà±à°°à°€à±à°¯à°Ÿà°®à±à°šà°Ÿà°¯à°Ÿà°²à± à°²à°­à±à°¯à°®à°µà±à°€à°Ÿà°¯à°¿. à° à°°à±à°à°¡à± à°µà±à°²à±à°¡à± à°à°Ÿà°°à±à°¡à±à°žà± à°¶à±à°§à°šà°Ÿ à°ªà°Šà° à°¯à±à°à±à° à°®à°§à±à°¯à°š à°à°Ÿà°šà°¿, à°à°¿à°µà°°à°š à°à°Ÿà°šà°¿ à°à°ªà°¯à±à°à°¿à°à°à°µà°à±à°à±. à°ªà±à°°à°Ÿà°°à°à°­à°à°²à± à°®à°Ÿà°€à±à°°à° à°à°Ÿà°Šà±."}  
+_texthelpmgppsearching_ [l=te] {MGPP à°žà°®à°Ÿà°à°Ÿà°° à°žà°®à±à°Šà°Ÿà°¯à°Ÿà°šà°¿à°à°¿ à°®à°°à°¿à°à±à°šà±à°šà°¿ à°ªà±à°°à°€à±à°¯à°Ÿà°®à±à°šà°Ÿà°¯à°Ÿà°²à± à°²à°­à±à°¯à°®à°µà±à°€à°Ÿà°¯à°¿.
+<ul>
+<li>A <b>*</b> at the end of a query term  matches all words <b>starting with</b> that word, e.g. <b>comput*</b> matches all words starting with <b>comput</b>.
+<li><b>/x</b> can be used to give higher weight to one or more of the query terms, eg <b>computer/10 science</b> gives computer 10 times more weight than science when ranking documents.
+</ul>}  
+
+_texthelplucenesearching_ [l=te] {Lucene à°€à± à°šà°¿à°°à±à°®à°¿à°à°à°¿à°š à°žà°®à°Ÿà°à°Ÿà°° à°žà°®à±à°Šà°Ÿà°¯à°Ÿà°šà°¿à°à°¿ à°®à°°à°¿à°à±à°šà±à°šà°¿ à°ªà±à°°à°€à±à°¯à°Ÿà°®à±à°šà°Ÿà°¯à°Ÿà°²à± à°²à°­à±à°¯à°®à°µà±à°€à°Ÿà°¯à°¿.
+<ul>
+<li><b>?</b> can be used as a wildcard in place of a single letter. For example, <b>b?t</b> will match  <b>bet</b>, <b>bit</b> and <b>bat</b> etc.
+<li><b>*</b> can be used as a wildcard in place of multiple letters. For example, <b>comput*</b> matches all words starting with <b>comput</b>.
+</ul>
+à° à°°à±à°à°¡à± à°µà±à°²à±à°¡à± à°à°Ÿà°°à±à°¡à±à°žà± à°¶à±à°§à°šà°Ÿ à°ªà°Šà° à°¯à±à°à±à° à°®à°§à±à°¯à°š à°à°Ÿà°šà°¿, à°à°¿à°µà°°à°š à°à°Ÿà°šà°¿ à°à°ªà°¯à±à°à°¿à°à°à°µà°à±à°à±. à°ªà±à°°à°Ÿà°°à°à°­à°à°²à± à°®à°Ÿà°€à±à°°à° à°à°Ÿà°Šà±.}  
 
 _texthelpquerytypetitle_ [l=te] {à°¶à±à°Šà°š à°°à°à°®à±à°²à± }  
@@ -632,11 +656,13 @@
 }  
 
-_texthelpadvancedsearchtitle_ [l=te] {à°à° à°žà±à°°à±à°à± à°à°à°à°šà± à°šà°¿ à°à°ªà°¯à±à°à°¿à°à°à°¿ à°à°šà±à°šà°€à°®à±à°š à°¶à±à°§à°š}  
-
-
-
-_texthelpadvsearchmg_ [l=te] {à°à°®à±.à°à°¿. à°žà°®à±à°Šà°Ÿà°¯à°Ÿà°²à°²à±à°šà°¿ à°à°šà±à°šà°€à°®à±à°š à°¶à±à°§à°šà°®à± "à°°à±à°à°à±à°¡à±" à°®à°°à°¿à°¯à± "à°¬à±à°²à°¿à°¯à°šà±" à°
+_texthelpadvancedsearchtitle_ [l=te] {_1_ à°žà±à°°à±à°à± à°à°à°à°šà± à°šà°¿ à°à°ªà°¯à±à°à°¿à°à°à°¿ à°à°šà±à°šà°€à°®à±à°š à°¶à±à°§à°š}  
+
+
+
+_texthelpadvsearchmg_ [l=te] {MG à°žà°®à±à°Šà°Ÿà°¯à°Ÿà°²à°²à±à°šà°¿ à°à°šà±à°šà°€à°®à±à°š à°¶à±à°§à°šà°®à± "ranked" à°®à°°à°¿à°¯à± "boolean" à°
 à°šà± à°°à±à°à°¡à± à°°à°à°Ÿà°² à°ªà±à°°à°€à±à°¯à°Ÿà°®à±à°šà°Ÿà°¯à°Ÿà°²à°šà± à°
-à°à°Šà°¿à°žà±à°€à±à°šà±à°šà°Ÿà°¯à°¿.}  
+à°à°Šà°¿à°žà±à°€à±à°šà±à°šà°Ÿà°¯à°¿.
+A <b>ranked</b> search is exactly the same as the <b>some</b> search descibed in <a href="\#query-type">_texthelpquerytypetitle_</a>.
+<p>_texthelpbooleansearch_}  
 
 
@@ -677,7 +703,13 @@
 
 _texthelplanguageprefstitle_ [l=te] {à°­à°Ÿà°· à°ªà±à°°à°Ÿà°§à°Ÿà°šà±à°¯à°€à°²à±}  
-_texthelplanguageprefs_ [l=te] {à°ªà±à°°à°€à°¿ à°žà°®à±à°Šà°Ÿà°¯à°Ÿà°šà°¿à°à°¿ à°žà±à°µà°€à°à°žà°¿à°Šà±à°§à°®à±à°š à°à° à°ªà°°à°¿à°­à°Ÿà°· à°à°à°à±à°à°Šà°¿. à°
+_texthelplanguageprefs_ [l=te] {<p>à°ªà±à°°à°€à°¿ à°žà°®à±à°Šà°Ÿà°¯à°Ÿà°šà°¿à°à°¿ à°žà±à°µà°€à°à°žà°¿à°Šà±à°§à°®à±à°š à°à° à°ªà°°à°¿à°­à°Ÿà°· à°à°à°à±à°à°Šà°¿. à°
 à°¯à°¿à°€à± à°µà±à°°à± à°ªà°°à°¿à°­à°Ÿà°·à°à± à°®à°Ÿà°°à±à°à°µà°à±à°à±. "à°¬à±à°°à±à°à°°à± à°
-à°µà±à°à± à°ªà±à°à±" à°¯à±à°à±à° "à°à±à°°à±à°šà± à°žà±à°à±à°šà±" à°à±à°°à±à°¡à±à°à°°à°£ à°ªà°Šà±à°§à°€à°¿à°šà°¿ à°à±à°¡à°Ÿ à°®à°Ÿà°°à±à°à±à°à±à°µà°à±à°à±.}  
+à°µà±à°à± à°ªà±à°à±" à°¯à±à°à±à° "à°à±à°°à±à°šà± à°žà±à°à±à°šà±" à°à±à°°à±à°¡à±à°à°°à°£ à°ªà°Šà±à°§à°€à°¿à°šà°¿ à°à±à°¡à°Ÿ à°®à°Ÿà°°à±à°à±à°à±à°µà°à±à°à± -- the software chooses
+sensible defaults, but with some browsers it may be necessary to switch to 
+a different encoding scheme to ensure correct character display.
+All collections allow you to
+switch from the standard graphical interface format to a textual one. This
+is particularly useful for visually impaired users who use large screen
+fonts or speech synthesizers for output.}  
 
 _texthelppresentationprefstitle_ [l=te] {à°ªà±à°°à°Šà°°à±à°¶à°š à°ªà±à°°à°Ÿà°§à°Ÿà°šà±à°¯à°€à°²à±}  
@@ -697,7 +729,11 @@
 _textsearchtypeprefsform_ [l=te] {à°®à±à°°à± à° à°¶à±à°§à°š à°ªà°€à±à°°à°®à±à°²à±à°šà°¿ à°µà°¿à°·à°¯à°®à±à°² à°ªà°à±à°à°¿à°à°šà± à°®à°Ÿà°°à±à°à°µà°à±à°à±}  
 
-_textsearchtypeprefsboth_ [l=te] {à°®à±à°°à± à°šà°Ÿà°°à±à°®à°²à± à°žà±à°°à±à°à± à°®à°°à°¿à°¯à± à°«à±à°²à±à°¡à± à°žà±à°°à±à°à± à°®à°§à±à°¯ à°®à°Ÿà°°à±à°€à± à°à°à°¡à°µà°à±à°à±. à°šà°Ÿà°°à±à°®à°²à± à°žà±à°°à±à°à± à°²à± à°à° à°ªà±à°°à°¶à±à°šà°Ÿà°µà°³à°¿ à°à°à°à±à°à°Šà°¿. à°«à±à°²à±à°¡à± à°žà±à°°à±à°à± à°²à± à°
+_textsearchtypeprefsboth_ [l=te] {à°®à±à°°à± à°šà°Ÿà°°à±à°®à°²à± à°žà±à°°à±à°à± à°®à°°à°¿à°¯à± à°«à±à°²à±à°¡à± à°žà±à°°à±à°à± à°®à°§à±à°¯ à°®à°Ÿà°°à±à°€à± à°à°à°¡à°µà°à±à°à±.
+<ul>
+<li>à°šà°Ÿà°°à±à°®à°²à± à°žà±à°°à±à°à± à°²à± à°à° à°ªà±à°°à°¶à±à°šà°Ÿà°µà°³à°¿ à°à°à°à±à°à°Šà°¿. _textsearchtypeprefsplain_</li>
+<li>à°«à±à°²à±à°¡à± à°žà±à°°à±à°à± à°²à± à°
 à°šà±à° à°ªà±à°°à°¶à±à°šà°Ÿà°µà°³à°¿ à°¬à°Ÿà°à±à°žà± à°²à± à°à°à°à°Ÿà°¯à°¿. à°Šà±à°šà°¿à°µà°²à°š à°
-à°šà±à° à°µà°¿à°·à°¯à°®à±à°²à± à°à°à±à°žà°Ÿà°°à°¿ à°¶à±à°§à°¿à°à°à°¡à° à°žà°Ÿà°§à±à°¯à°®à°µà±à°€à±à°à°Šà°¿.}  
+à°šà±à° à°µà°¿à°·à°¯à°®à±à°²à± à°à°à±à°žà°Ÿà°°à°¿ à°¶à±à°§à°¿à°à°à°¡à° à°žà°Ÿà°§à±à°¯à°®à°µà±à°€à±à°à°Šà°¿. _textsearchtypeprefsform_ </li>
+</ul>}  
 
 
@@ -706,5 +742,5 @@
  _numbrowseoptions_}  
 
-_textsimplehelpheading_ [l=te] {à°žà°®à°Ÿà°à°Ÿà°°à°®à±à°šà± à°žà°®à±à°Šà°Ÿà°¯à°®à±à°²à± à°à°²à°Ÿ à°µà±à°Šà°à°Ÿà°²à°¿}  
+_textsimplehelpheading_ [l=te] {_collectionname_ à°žà°®à±à°Šà°Ÿà°¯à°®à±à°²à± à°žà°®à°Ÿà°à°Ÿà°°à°®à±à°šà± à°à°²à°Ÿ à°µà±à°Šà°à°Ÿà°²à°¿}  
 
 _texthelpscopetitle_ [l=te] {à°ªà±à°°à°¶à±à°šà°² à°