Index: main/tags/3.04flax1.0/release-kits/shared/greenstone3/installer/build.xml
===================================================================
--- main/tags/3.04flax1.0/release-kits/shared/greenstone3/installer/build.xml	(revision 21359)
+++ main/tags/3.04flax1.0/release-kits/shared/greenstone3/installer/build.xml	(revision 21360)
@@ -98,7 +98,11 @@
 		-->
 
-		<echo>Setting tomcat ports</echo>
-		<rsr file="${installDir}/build.properties" pattern="(tomcat.port[=:]).*" replacement="$1${tomcat.port}" />
-		<rsr file="${installDir}/build.properties" pattern="(tomcat.shutdown.port[=:]).*" replacement="$1${tomcat.shutdown.port}" />
+		<echo>Setting up server.default.servlet, tomcat.server, and tomcat.port in build.properties</echo>
+		<rsr file="${installDir}/build.properties">
+			<job pattern="(server.default.servlet=).*"	replacement="$1/flax" />
+			<job pattern="(tomcat.server[=:]).*" replacement="$1${tomcat.server}" />
+			<job pattern="(tomcat.port[=:]).*" replacement="$1${tomcat.port}" />
+			<job pattern="(tomcat.shutdown.port[=:]).*" replacement="$1${tomcat.shutdown.port}" />
+		</rsr>
 
 		<echo>Setting up global properties</echo>
@@ -106,8 +110,23 @@
 		<rsr file="${installDir}/web/WEB-INF/classes/global.properties">
 			<job pattern="@gsdl3home@" replacement="${installDir.unix}/web" />
-			<job pattern="@tomcat.server@" replacement="${tomcat.server}" />
+			<!--This doesn't work - at this point, the pattern doesn't exist any more
+			<job pattern="@tomcat.server@" replacement="${tomcat.server}" />-->
+			<job pattern="^tomcat.server=.*" replacement="tomcat.server=${tomcat.server}" />
 			<job pattern="@tomcat.port@" replacement="${tomcat.port}" />
 		</rsr>
 
+		<echo>Modifying FlaxWebService.wsdl</echo>
+		<!-- Note: can't use the following here because the patterns @flaxpublicserver@:@flaxpublicport@ 
+		were already replaced with localhost:8080 by the target flax-copy-files during the initial prepare process. 
+		Therefore, at this point the patterns don't exist any more.
+		         <job pattern="@flaxpublicserver@" replacement="${tomcat.server}" />
+			<job pattern="@flaxpublicport@" replacement="${tomcat.port}" />                       
+		-->
+		<rsr
+			file="${installDir}/web/FlaxWebService.wsdl"
+			pattern="(&lt;wsdlsoap:address location=&quot;http://).*(/greenstone3/flax/FlaxWebService&quot;/&gt;)"
+			replacement="$1${tomcat.server}:${tomcat.port}$2"
+			/>
+				
 		<echo>Setting up log4j properties</echo>
 		<copy file="${installDir}/resources/java/log4j.properties.in" tofile="${installDir}/web/WEB-INF/classes/log4j.properties" overwrite="true"/>
@@ -204,8 +223,6 @@
 		<echo>Installing Start Menu Shortcuts</echo>
 
-		<mkdir dir="${startmenu.path}\Documentation"/>
-		
 		<shortcut
-			file="${startmenu.path}\Greenstone3 Server.lnk"
+			file="${startmenu.path}\Start FLAX Server.lnk"
 			execute="${installDir}\gs3-server.bat"
 			workingDirectory="${installDir}"
@@ -214,44 +231,10 @@
 
 		<shortcut
-			file="${startmenu.path}\Greenstone Librarian Interface (GLI).lnk"
-			execute="${installDir}\gli\gli.bat"
-			workingDirectory="${installDir}\gli"
-			iconFile="${installDir}\resources\images\gs3.ico"
-			iconIndex="0" />
-			
-		<shortcut
-			file="${startmenu.path}\Greenstone Editor for Metadata Sets (GEMS).lnk"
-			execute="${installDir}\gli\gems.bat"
-			workingDirectory="${installDir}\gli"
-			iconFile="${installDir}\resources\images\gems.ico"
-			iconIndex="0" />
-
-		<shortcut
-			file="${startmenu.path}\Uninstall.lnk"
+			file="${startmenu.path}\Uninstall FLAX.lnk"
 			execute="${installDir}\Uninstall.bat"
 			workingDirectory="${installDir}"
 			iconFile="${installDir}\resources\images\uninstall.ico"
 			iconIndex="0" />
-	
-		<shortcut
-			file="${startmenu.path}\Documentation\README.lnk"
-			execute="${installDir}\README.txt" />
-		
-		<shortcut
-			file="${startmenu.path}\Documentation\Greenstone3 Users' Guide.lnk"
-			execute="${installDir}\documentation\manual\manual.pdf" />
-		
-		<shortcut
-			file="${startmenu.path}\Documentation\Greenstone2 Users' Guide.lnk"
-			execute="${installDir}\documentation\manual\gs2_user_en.pdf" />
-
-		<shortcut
-			file="${startmenu.path}\Documentation\Greenstone Wiki.url"
-			url="http://wiki.greenstone.org" />
-
-		<shortcut
-			file="${startmenu.path}\Documentation\Greenstone Website.url"
-			url="http://www.greenstone.org" />
-		
+				
 	</target>
 