Index: /main/trunk/release-kits/bin/rk
===================================================================
--- /main/trunk/release-kits/bin/rk	(revision 21387)
+++ /main/trunk/release-kits/bin/rk	(revision 21388)
@@ -58,5 +58,5 @@
 
 #create the command
-toexec="ant -lib `pwd`/installer/classes -f $RK_HOME/$rk_name/ant-scripts/build.xml -Dbasedir=`pwd` -D$rk_name.home=$RK_HOME"
+toexec="ant -lib `pwd`/installer/classes -f $RK_HOME/kits/$rk_name/ant-scripts/build.xml -Dbasedir=`pwd` -D$rk_name.home=$RK_HOME"
 
 #pass on the arguments
Index: /main/trunk/release-kits/kits/rk2/ant-scripts/build.xml
===================================================================
--- /main/trunk/release-kits/kits/rk2/ant-scripts/build.xml	(revision 21387)
+++ /main/trunk/release-kits/kits/rk2/ant-scripts/build.xml	(revision 21388)
@@ -17,7 +17,7 @@
 
 	<!-- IMPORT OTHER ANT SCRIPTS -->
-	<import file="../core/ant-scripts/init.xml"/>
-	<import file="../core/ant-scripts/operations-on-gli.xml"/>
-	<import file="../greenstone2/ant-scripts/rk2-targets.xml"/>
+	<import file="../../../shared/core/ant-scripts/init.xml"/>
+	<import file="../../../shared/core/ant-scripts/operations-on-gli.xml"/>
+	<import file="../../../shared/greenstone2/ant-scripts/rk2-targets.xml"/>
 
 	<import file="compile.xml"/>
Index: /main/trunk/release-kits/shared/core/ant-scripts/init.xml
===================================================================
--- /main/trunk/release-kits/shared/core/ant-scripts/init.xml	(revision 21387)
+++ /main/trunk/release-kits/shared/core/ant-scripts/init.xml	(revision 21388)
@@ -55,5 +55,5 @@
 
 			<!-- our classes -->
-			<fileset dir="${rk.home}/core">
+			<fileset dir="${rk.home}/shared/core">
 				<include name="ant-tasks/antelope/AntelopeTasks_3.4.2.jar"/>
 				<include name="ant-tasks/orangevolt/roxes-win32forjava-1.1.1.jar"/>
@@ -90,16 +90,16 @@
 	
 		<!-- DATES IN DIFFERENT LANGUAGES -->
-		<get-property-value propertiesFile="${rk.home}/core/lib/dates.properties" propertyName="ar.Dates.${current.month}" outputProperty="month.ar"/>
-		<get-property-value propertiesFile="${rk.home}/core/lib/dates.properties" propertyName="ca.Dates.${current.month}" outputProperty="month.ca"/>
-		<get-property-value propertiesFile="${rk.home}/core/lib/dates.properties" propertyName="el.Dates.${current.month}" outputProperty="month.el"/>
-		<get-property-value propertiesFile="${rk.home}/core/lib/dates.properties" propertyName="es.Dates.${current.month}" outputProperty="month.es"/>
-		<get-property-value propertiesFile="${rk.home}/core/lib/dates.properties" propertyName="fr.Dates.${current.month}" outputProperty="month.fr"/>
-		<get-property-value propertiesFile="${rk.home}/core/lib/dates.properties" propertyName="lv.Dates.${current.month}" outputProperty="month.lv"/>
-		<get-property-value propertiesFile="${rk.home}/core/lib/dates.properties" propertyName="mr.Dates.${current.month}" outputProperty="month.mr"/>
-		<get-property-value propertiesFile="${rk.home}/core/lib/dates.properties" propertyName="ro.Dates.${current.month}" outputProperty="month.ro"/>
-		<get-property-value propertiesFile="${rk.home}/core/lib/dates.properties" propertyName="ru.Dates.${current.month}" outputProperty="month.ru"/>
-		<get-property-value propertiesFile="${rk.home}/core/lib/dates.properties" propertyName="vi.Dates.${current.month}" outputProperty="month.vi"/>
-		<get-property-value propertiesFile="${rk.home}/core/lib/dates.properties" propertyName="zh.Dates.${current.month}" outputProperty="month.zh"/>
-		<get-property-value propertiesFile="${rk.home}/core/lib/dates.properties" propertyName="default.Dates.${current.month}" outputProperty="month.default"/>
+		<get-property-value propertiesFile="${rk.home}/shared/core/lib/dates.properties" propertyName="ar.Dates.${current.month}" outputProperty="month.ar"/>
+		<get-property-value propertiesFile="${rk.home}/shared/core/lib/dates.properties" propertyName="ca.Dates.${current.month}" outputProperty="month.ca"/>
+		<get-property-value propertiesFile="${rk.home}/shared/core/lib/dates.properties" propertyName="el.Dates.${current.month}" outputProperty="month.el"/>
+		<get-property-value propertiesFile="${rk.home}/shared/core/lib/dates.properties" propertyName="es.Dates.${current.month}" outputProperty="month.es"/>
+		<get-property-value propertiesFile="${rk.home}/shared/core/lib/dates.properties" propertyName="fr.Dates.${current.month}" outputProperty="month.fr"/>
+		<get-property-value propertiesFile="${rk.home}/shared/core/lib/dates.properties" propertyName="lv.Dates.${current.month}" outputProperty="month.lv"/>
+		<get-property-value propertiesFile="${rk.home}/shared/core/lib/dates.properties" propertyName="mr.Dates.${current.month}" outputProperty="month.mr"/>
+		<get-property-value propertiesFile="${rk.home}/shared/core/lib/dates.properties" propertyName="ro.Dates.${current.month}" outputProperty="month.ro"/>
+		<get-property-value propertiesFile="${rk.home}/shared/core/lib/dates.properties" propertyName="ru.Dates.${current.month}" outputProperty="month.ru"/>
+		<get-property-value propertiesFile="${rk.home}/shared/core/lib/dates.properties" propertyName="vi.Dates.${current.month}" outputProperty="month.vi"/>
+		<get-property-value propertiesFile="${rk.home}/shared/core/lib/dates.properties" propertyName="zh.Dates.${current.month}" outputProperty="month.zh"/>
+		<get-property-value propertiesFile="${rk.home}/shared/core/lib/dates.properties" propertyName="default.Dates.${current.month}" outputProperty="month.default"/>
 		<!--
 		<echo level="info">Current Date</echo>
@@ -207,6 +207,6 @@
 			installConfig="installer/antinstall-config-binary.xml"
 			buildFile="installer/build-binary.xml"
-			antInstallLib="${rk.home}/core/ant-installer/lib"
-			antLib="${rk.home}/core/ant/lib"
+			antInstallLib="${rk.home}/shared/core/ant-installer/lib"
+			antLib="${ant.home}/lib"
 			validateConfig="true"
 			icons="bluecurve">
@@ -233,5 +233,5 @@
 			buildFile="installer/build-cdrom.xml"
 			antInstallLib="${rk.home}/core/ant-installer/lib"
-			antLib="${rk.home}/core/ant/lib"
+			antLib="${ant.home}/lib"
 			validateConfig="true"
 			icons="bluecurve">
@@ -249,5 +249,5 @@
 			implementation="sun"
 			encoding="UTF-8"
-			src="${rk.home}/core/language-strings"
+			src="${rk.home}/shared/core/language-strings"
 			dest="${basedir}/installer/classes/resources"/>
 
@@ -334,5 +334,5 @@
 		<!-- copile to build -->
 		<javac
-			srcdir="${rk.home}/core/uninstaller"
+			srcdir="${rk.home}/shared/core/uninstaller"
 			destdir="${basedir}/compiled/uninstaller/build" />
 
@@ -340,5 +340,5 @@
 		<native2ascii
 			implementation="sun"
-			src="${rk.home}/core/language-strings"
+			src="${rk.home}/shared/core/language-strings"
 			dest="${basedir}/compiled/uninstaller/build/resources"/>
 
@@ -346,5 +346,5 @@
 		<jar
 			destfile="${basedir}/compiled/uninst.jar"
-			manifest="${rk.home}/core/uninstaller/manifest.mf"
+			manifest="${rk.home}/shared/core/uninstaller/manifest.mf"
 			basedir="${basedir}/compiled/uninstaller/build" />
 
@@ -356,9 +356,9 @@
 		<!-- linux and mac -->
 		<if><bool><or><equals arg1="${rk.os}" arg2="linux"/><equals arg1="${rk.os}" arg2="mac"/></or></bool>
-			<copy file="${rk.home}/core/uninstaller/Uninstall.sh" todir="distributions/web"/>
+			<copy file="${rk.home}/shared/core/uninstaller/Uninstall.sh" todir="distributions/web"/>
 
 		<!-- windows -->
 		<else><if><bool><equals arg1="${rk.os}" arg2="windows"/></bool>
-			<copy file="${rk.home}/core/uninstaller/Uninstall.bat" todir="distributions/web"/>
+			<copy file="${rk.home}/shared/core/uninstaller/Uninstall.bat" todir="distributions/web"/>
 
 		<!-- else fail -->